package com.company;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * keeps note and its data
 */
public class Note implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    private String title;
    private String body;
    private Date date;

    /**
     * cosntructor of the class sets fields and date
     * @param title String  title of the note
     * @param body String  body of the note
     */
    public Note(String title, String body) {
        this.title = title;
        this.body = body;
        this.date = new Date();
    }

    @Override
    public String toString(){
        return ""+title+"\n"+body+"\n"+date.toString()+"\n";
    }
}
